Subject: bug#61549: 30.0.50; [PATCH] New keyboard macro counter functions

From: Michael Heerdegen <[email-masked]>
Date: Sat, 08 Jun 2024 15:45:04 +0200

Alex Bochannek <[email-masked]> writes:

> I think this is a very reasonable idea. I'll have a look at how to
> generalize this and submit a patch.

Yes, this is the question.  AFAIK, there is currently no way to put an
Elisp function into a register.

Pranshu <[email-masked]> writes:

> Also there are multiple ways to include a seires of numbers, such as
> 'C-x r N'.  iirc calc has a way in which you can copy numbers to a
> rectangleular region.  Apart form numbering lists, I am unable to
> think of another use for using a formula for the macro counte.r

@Alex: do you see other uses?

I think it would probably be easier to generalize C-x r N.  Should we
maybe just do that?

Thx,

Michael.